aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/certbot-josepy.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/certbot-josepy.sh')
-rwxr-xr-x.travis/downstream.d/certbot-josepy.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.travis/downstream.d/certbot-josepy.sh b/.travis/downstream.d/certbot-josepy.sh
new file mode 100755
index 00000000..47de2e29
--- /dev/null
+++ b/.travis/downstream.d/certbot-josepy.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/certbot/josepy
+ cd josepy
+ pip install -e ".[tests]"
+ ;;
+ run)
+ cd josepy
+ pytest src
+ ;;
+ *)
+ exit 1
+ ;;
+esac